package com.ningdatech.pmapi.projectlib.model.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import java.math.BigDecimal;
import java.math.RoundingMode;
import java.time.LocalDateTime;
import java.util.Objects;

/**
 * @Classname NdProjectAnnualAccumulateAmount
 * @Description
 * @Date 2023/2/17 10:49
 * @Author PoffyZhang
 */
@Data
@TableName("nd_project_annual_accumulate_amount")
@ApiModel(value = "NdProjectAnnualAccumulateAmount", description = "项目年度累积投资资金表")
public class ProjectAnnualAccumulateAmount implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("项目ID")
    private Long projectId;

    @ApiModelProperty("年份")
    private Integer projectYear;

    @ApiModelProperty("年度投资金额")
    private BigDecimal annualAccumulateAmount;

    private LocalDateTime createOn;
    private LocalDateTime updateOn;

    public BigDecimal getConvertTenThousand() {
        if(Objects.nonNull(this.annualAccumulateAmount)){
            return this.annualAccumulateAmount.divide(BigDecimal.valueOf(10000),2, RoundingMode.HALF_UP);
        }
        return BigDecimal.ZERO;
    }
}
